import { Command } from "@oclif/core";
export default class Certificate extends Command {
    static CERT_REQUEST_FILENAME: string;
    static CERT_FILENAME: string;
    static description: string;
    static flags: {
        privateKeyFile: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        masterPrivateKeyFile: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        certRequestFile: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        certFile: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        cn: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
        options: string[];
    }[];
    run(): Promise<void>;
    private createCertificateRequest;
    private createCertificateFromRequest;
    private getCn;
    private checkAndWriteFile;
}
